Buscar curso específico
curl --request GET \
--url https://services.pref.rio/go/api/v1/courses/{courseId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.pref.rio/go/api/v1/courses/{courseId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.pref.rio/go/api/v1/courses/{courseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accessibility": "<string>",
"auto_approve_enrollments": false,
"carga_horaria": 123,
"certificacao_oferecida": true,
"contato_duvidas": "<string>",
"course_management_type": "OWN_ORG",
"cover_image": "<string>",
"created_at": "<string>",
"data_inicio": "<string>",
"data_limite_inscricoes": "<string>",
"data_termino": "<string>",
"description": "<string>",
"enrollment_end_date": "<string>",
"enrollment_start_date": "<string>",
"expected_results": "<string>",
"external_partner_contact": "<string>",
"external_partner_logo_url": "<string>",
"external_partner_name": "<string>",
"external_partner_url": "<string>",
"facilitator": "<string>",
"formacao_link": "<string>",
"formato_aula": "GRAVADO",
"has_certificate": true,
"id": 123,
"instituicao_id": 123,
"institutional_logo": "<string>",
"is_external_partner": true,
"is_visible": true,
"link_inscricao": "<string>",
"local_realizacao": "<string>",
"material_used": "<string>",
"methodology": "<string>",
"modalidade": "Presencial",
"numero_vagas": 123,
"objectives": "<string>",
"organization": "<string>",
"orgao_id": "<string>",
"pre_requisitos": "<string>",
"program_content": "<string>",
"resources_used": "<string>",
"status": "draft",
"target_audience": "<string>",
"teaching_material": "<string>",
"theme": "<string>",
"title": "<string>",
"turno": "MANHA",
"updated_at": "<string>",
"workload": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}courses
Buscar curso específico
Retorna dados completos de um curso específico
GET
/
api
/
v1
/
courses
/
{courseId}
Buscar curso específico
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID do curso
Response
OK
Accessibility field - free text field for frontend
Auto-approve enrollments - when true, new enrollments are automatically approved instead of pending
Example:
false
Available options:
OWN_ORG, EXTERNAL_MANAGED_BY_ORG, EXTERNAL_MANAGED_BY_PARTNER Available options:
GRAVADO, AO_VIVO Optional fields matching specification
External partner fields
Visibility field - controls if course appears in public listings (default: true) Used for in-person courses that require manual enrollment and should not appear in public course lists
Example:
true
Available options:
Presencial, Semipresencial, Remoto, PRESENCIAL, ONLINE, HIBRIDO, LIVRE_FORMACAO_ONLINE Legacy and additional fields (optional)
Unified field for prerequisites - using single JSON tag
Available options:
draft, opened, closed, canceled, in_review, needs_changes, approved, published, pending_deletion, scheduled, accepting_enrollments, in_progress, finished, CRIADO, ABERTO, ENCERRADO Core fields (always required)
Available options:
MANHA, TARDE, NOITE, INTEGRAL, LIVRE 